%define svnrev 195
Name: kernel-source-uvcvideo
Version: 1.1
Release: alt0.%svnrev.1
Summary: Sources for the uvcvideo USB camera driver
License: GPL
Group: Development/Kernel
URL: http://linux-uvc.berlios.de
Source: linux-uvc-svn-r%svnrev.tar.bz2
BuildArch: noarch
BuildPreReq: kernel-build-tools
Packager: Michail Yakushin <silicium@altlinux.ru>

# Information extracted from http://mxhaard.free.fr/spca5xx.html
%description 
Linux Kernel USB Video Class module
  linux-uvc is a kernel module that supports some standard devices that
  implement USB Video Class.

  Currently supports Logitech Quickcam Fusion, Logitech Quickcam Orbit,
  Logitech Quickcam Pro for Notebooks, and Logitech Quickcam Pro 5000.

The UVC specification covers webcams, digital camcorders, analog video
converters, analog and digital television tuners, and still-image cameras that
support video streaming for both video input and output.
Due to the limited available man power and the broad scope of the UVC
specification, the Linux UVC project will concentrate the development efforts
on video input devices, especially webcams. Video output devices will be
considered at a later time.

The Linux UVC projects is currently focussing on kernel support for UVC
devices. The driver implements the Video4Linux 2 (V4L2) API. Support for V4L1
is not planned.


%prep
%setup -n linux-uvc-svn-r%svnrev


%install
mkdir ./%name-%version
cp -f *.c *.h Makefile ./%name-%version/
install -d -m 0755 %kernel_srcdir
tar -cf - %name-%version | bzip2 --best --stdout > %kernel_srcdir/%name-%version.tar.bz2


%files
%kernel_src/%name-%version.tar.bz2


%changelog
* Sat Mar 22 2008 Hihin Ruslan <ruslandh@altlinux.ru> 1.1-alt0.195.1
- SVN revision 195

* Tue Jan 15 2008 Led <led@altlinux.ru> 1.1-alt0.166.1
- SVN revision 166

* Wed Aug 29 2007 Hihin Ruslan <ruslandh@altlinux.ru> 1.00.00-alt1
- First build for ALT Linux.



